@echo off
REM Seamonkey420's SageTV Batch File
REM created on: 3/14/05
REM RECOMMENDED TO TEST IN A TEMP DIR FIRST!!

REM Setup as is, it will encode mpg to divx, then 
REM clean up the log, txt, ccno and VPrj files
REM Then moves the avi file to a new folder (odir)
REM Then finally deletes the original mpg


REM Be sure to put this batch file in the same folder as your Virtualdub.exe file
REM ALSO Be sure to create a .vcf settings file in Virtualdub
REM This file then needs to be saved in the same folder as virtualdub.exe and this batch file


REM SETS SCRIPT VARIABLES, ie folder paths for files to be encoded
REM and where to save files and locations of WMEncoder main script

set idir=M:\TV Shows
set odir=M:\TV Shows\encoded


REM this line checks for a .VPrj file in the idir location
REM If it finds the file, it will then call virtualdub.exe w/the parameters
REM and the .vcf profile for virtualdub

for /f "tokens=1 delims=." %%i in ('dir /s/b "%idir%\*-?.VPrj"') do if EXIST "%%i.VPrj" (virtualdub.exe /s"tvshows.vcf" -p"%%i.mpg","%%i.avi" -q /r /x /c)

REM this section cleans up the old files and moves the avi to the odir

for /f "tokens=1 delims=." %%i in ('dir /b "%idir%\*-?.avi"') do if EXIST "%idir%\%%i.avi" (move "%idir%\%%i.avi" "%odir%\%%i.avi")
for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\*-?.avi"') do if EXIST "%odir%\%%i.avi" (del "%idir%\%%i.log")
for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\*-?.avi"') do if EXIST "%odir%\%%i.avi" (del "%idir%\%%i.txt")
for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\*-?.avi"') do if EXIST "%odir%\%%i.avi" (del "%idir%\%%i.VPrj")
for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\*-?.avi"') do if EXIST "%odir%\%%i.avi" (del "%idir%\%%i.ccno")

REM This line removes the original mpg movie if the avi is created and moved successfully to the odir

for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\*-?.avi"') do if EXIST "%idir%\%%i.mpg" (del "%idir%\%%i.mpg
)